OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.PinnedMemory

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetAMDPinnedMemory :: MonadIO m => m Bool
- gl_AMD_pinned_memory :: Bool
- gl_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD :: GLenum

# Extension Support

glGetAMDPinnedMemory :: MonadIO m => m Bool

Is the AMD_pinned_memory extension supported?

gl_AMD_pinned_memory :: Bool

Is the AMD_pinned_memory extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDPinnedMemory` in those cases instead.

# Enums

gl_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD :: GLenum